LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Getting libstdc++-libc6.2-2.so.3 (https://www.linuxquestions.org/questions/linux-software-2/getting-libstdc-libc6-2-2-so-3-a-4175443457/)

A-Freak 12-30-2012 07:12 AM

Getting libstdc++-libc6.2-2.so.3
 
Hello

I am currently running Ubuntu 10.04LTS . My knownledge about the operating system is only shallow, i am not afraid to use the shell (when i have some understanding what my action will do) but i am afraid from compiling programs.

Now i would like to install "Ponyprog" from http://www.lancos.com/prog.html and the Hardware (Bitbang adapter for the serial port) is soldered and ready for use. My problem is to install the Software.

I downloaded the Version 2.06c and copied its files to the places where they should be. Unfortunately there is at least one library missing, the output is:
freak@ubuntu:/$ /usr/local/bin/ponyprog2000
/usr/local/bin/ponyprog2000: error while loading shared libraries:
libstdc++-libc6.2-2.so.3: cannot open shared object file: No such file
or directory

Searching for "libstdc++-libc6.2-2.so.3" brought me to this forum and i saw several posts about it here. Unfortunately they point to an .deb package which seems to be non longer available since 2011.

Do you have an suggestion how i could get this library now or to use this program with newer versions?

The packet manager tells me the following are installed:
libstdc++6 4.4.3-4ubuntu5.1
libstdc++6-4.1-dev 4.1.2-27ubuntu1
libstdc++6-4.4-dev 4.4.3-4ubuntu5.1

Thank you very much for your help

knudfl 12-30-2012 08:04 AM

Welcome to LQ.


sudo dpkg -i libstdc++2.10-glibc2.2_2.95.4-27_i386.deb
http://archive.debian.net/etch/i386/...bc2.2/download
> http://archive.debian.org/debian/poo....4-27_i386.deb
> libstdc++2.10-glibc2.2_2.95.4-27_i386.deb
.... Providing /usr/lib/ libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so


.

A-Freak 12-30-2012 08:57 AM

Thanks for the help

I couldnt install it with dpkg but using the GUI tools from the "System settings" menu worked. Ponyprog runs now.


With best wishes from A-Freak


All times are GMT -5. The time now is 03:08 AM.